<?php

declare(strict_types=1);

namespace app\models;

class ProductEdgeProductGroup extends Edge
{
    public static function collectionName(): string
    {
        return 'product_edge_product_group';
    }

    /**
     * Поиск по товару
     *
     * @param Product $product Товар
     * @param int $amount Ограничение по максимальному количеству
     *
     * @return null|self Ребро, если найдено
     */
    public static function searchByProduct(Product $product, int $limit = 1): ?self
    {
        return self::find()->where(['_from' => $product->readId()])->limit($limit)->all()[0] ?? null;
    }
}
